#!/bin/sh


processor=m328p
source 'inc/eeprom.sh-inc'
source 'inc/programmer.sh-inc'
source 'inc/get-station.sh-inc'
source 'inc/Xavrdude.sh-inc'

eepromfile=/tmp/$processor.eeprom


station="`get_station`"
if [ $? = 0 ]; then
	printf "\n\n\nFound station name: %c\n\n\n" "$station"
else
	printf "\n\n\nNo station name present.\n\n\n"
	false
fi


