#!/bin/bash

orhex=`tr -d '\n' <<< "!" | xxd -ps`

for app in OnlyReceive OnlySend SD-Read-Write; do
	for subapp in . .with_bootloader.; do 
		for station in W B C D O; do
			sthex=`tr -d '\n' <<< "$station" | xxd -ps`
			target=built/$app.$station${subapp}hex
			printf 'Generating %s.\n' "$target"
			cp built/$app.ino${subapp}hex "$target"
			./implant.sh built/$app.ino.elf station_name $orhex $sthex "$target" >/dev/null
		done
	done
done



