

// © 2018 Jonas Bechtel
// Licensed under the Apache License, Version 2.0; see file <prj>/meta/LICENSE



#include <stdio.h>


#define DEFINE_OBJECT // DEFINE_OBJECT is to be included only once in 
#include "DUMMYintern.h"  //    all routing algorithm's code.
#undef DEFINE_OBJECT

#include "assert.h"

void receive_packet_DUMMYroute(struct route_instance* ri, 
				uint64_t time, uint8_t* data, uint8_t len, float power_in_mW) {
	// We received one packet and put exactly the same packet in back on air
	// 200 ms later.
	assert(0);
	//ri->station->rm->send_packet(ri, time+200000, p, rc);
	
	ri->dummy_cnt ++;
	
	printf("DUMMYroute: received packet number: %d.\n", ri->dummy_cnt);
}


int start_DUMMYroute(struct route_instance * ri) {
	ri->dummy_cnt = 0;
	
	ri->inbound_raw = receive_packet_DUMMYroute;
	ri->outbound_unpacked = NULL;
	ri->service_task = NULL;
	
	return OBJECT_START_OK;
}


