#!/bin/sh

# (c) Jonas Bechtel 2018
# This code is public domain

compress=
	# This makes life easier for encoder:
compress=",compand=attacks=0.05:decays=0.1:points=-70/-70|-60/-40|-2/-5"
	# This overdrives:
#compress=",compand=attacks=0.05:decays=0.1:points=-70/-70|-60/-30,compand=attacks=0.08:decays=0.16:points=-70/-70|-40/-50|-30/-25"
	# This doesn#t overdrive so bad, but somehow doesn't sound better than the single compand.
#compress=",compand=attacks=0.05:decays=0.1:points=-70/-70|-60/-30,compand=attacks=0.08:decays=0.16:points=-70/-70|-40/-50|-30/-25|-2/-5"

ffmpeg -hide_banner \
	-i Madonna--Who_s_That_Girl.wav \
	-filter_complex "pan=mono|c0=0.5*c0+0.5*c1,astats$compress,aresample=8000" \
	-f s16le -acodec pcm_s16le Madonna.S16LE

ffmpeg -hide_banner \
	-i Madonna--Who_s_That_Girl.wav \
	-filter_complex "pan=mono|c0=0.5*c0+0.5*c1,astats$compress,aresample=8000" \
	-b:a 4750 -c libopencore_amrnb \
	-f amr Madonna.amr



echo 'ffmpeg -hide_banner \
	-i Madonna--Who_s_That_Girl.wav \
	-filter_complex "pan=mono|c0=0.5*FL+0.5*FR,astats=length=0.05" \
	-f null -'

echo 'ffmpeg -hide_banner \
	-i Madonna--Who_s_That_Girl.wav \
	-filter_complex "astats=length=0.05" \
	-f null -'

echo 'ffmpeg -hide_banner \
	-i Madonna--Who_s_That_Girl.wav \
	-filter_complex "pan=mono:c0=0.5*FL+0.5*FR,astats=length=0.05" \
	-f null -'
	
	
