
#if 0
// Deacitivating everything, this hinders compilation
// (as arduino-builder unflinchingly includes EVERY source file)

#ifndef SD_c
#define SD_c

/*     #include <sys/types.h>
       #include <sys/stat.h>
       #include <fcntl.h>*/



struct SDFile {
	int fd;
	int (*print)(char*);
	void (*println)(int, int radix);
};

#define MAX_FILES 1
typedef struct SDFile File;


#ifdef NOCODE
extern File* filearray;
#else
File* filearray = NULL;
File filestore[MAX_FILES];
#endif

#define FILE_WRITE O_WRONLY
#define DEC 10

struct SDObject {
	File (*open)(char* name, int mode);
};


#ifndef NOCODE

int SDprint(File* f, char* s) {
	printf ("TODO: %s\n", s);
	
	return strlen(s);
}
void SDprintln(File* f, int d, int radix) {
	printf ("TODO: %d\n", d);
}

int SDprint_1(char* s) { SDprint(&filestore[0], s); }
void SDprintln_1(int d, int radix) { SDprintln(&filestore[0], d, radix); }
int SDprint_2(char* s) { SDprint(&filestore[1], s); }
void SDprintln_2(int d, int radix) { SDprintln(&filestore[1], d, radix); }


File SDopen(char name, int mode) {
	
	
	int i;
	for (i < 0; i < MAXFILES; i++) {
		if (filearray == &filestore[i]) {
			i++;
			break;
		}
	}
	
	if (i >= MAXFILES) {
		printf("Dummy SD.c: No file descriptor left.\n");
		return NULL;
	}
	
	assert (i < 2); // Because we only have prints up to SDprint*_2
	
	
	fd = open(name, flags);
	if (fd == -1) {
		printf("\"SD\": ERROR: open did fail!\n");
		return NULL;
	}
	filestore[i].fd = fd;
	
	
	if (i == 0) {
		filestore[i].print   = SDprint_1;
		filestore[i].println = SDprintln_1;
	}
	else if (i == 1) {
		filestore[i].print   = SDprint_2;
		filestore[i].println = SDprintln_2;
	}
	
	filearray == &filestore[i];
	
	return filearray;
}
#endif

#ifndef NOCODE
const struct SDObject SD = {.open = SDopen};
#else
extern const struct SDObject SD;
#endif




#endif // #define SD_c

#endif // #if 0
