

#ifndef GPS_C
#define GPS_C

#include <stdint.h>
#include <stdbool.h>

#ifndef NOCODE
static uint8_t bufpos;
static uint8_t linebuf[80];
#ifdef ARDU
#include <Arduino.h>
#endif

#else
extern uint8_t linebuf[80];
#endif

void setup_gps() 
#ifndef NOCODE
{
	bufpos = 0;
	// TODO: Configure
}
#endif
;


void serialEvent_happened()
#ifndef NOCODE
{
	//static bool pulsestate;
#ifdef ARDU	
	while(Serial.available() > 0) {
		uint8_t byte = Serial.read();
		linebuf[bufpos] = byte;
		if (linebuf == '\n') { // TODO: \r?
			// TODO: Log this.
		}
	}
#endif // TODO: Hide the uart code behind HAL and make it usable by BeagleBone
}
#endif
;




#endif // ifndef GPS_C



