

// © 2018 Jonas Bechtel
// Licensed under the Apache License, Version 2.0; see file <prj>/meta/LICENSE


#ifndef OBJECT_H
#define OBJECT_H



#define OBJECT_START_OK 0
#define OBJECT_START_FAIL 1


#define startobjX(name, obj) start_ ## name ## obj
#define startobj(name, obj) startobjX(name, obj)
// double expansion trick: https://stackoverflow.com/questions/5641427/

#define obj_instanceX(obj) obj ## _instance
#define obj_instance(obj) obj_instanceX(obj)


#define finaldestroyL(name) finaldestroyXL(name)
#define finaldestroy(sub, obj) finaldestroyX(sub, obj)

#define newinstanceL(name) newinstanceXL(name)
#define newinstance(sub, obj) newinstanceX(sub, obj)

#define namevarL(name) namevarXL(name)
#define namevar(sub, obj) namevarX(sub, obj)

#define S_(x) #x
#define S(x) S_(x)




#endif // ifndef OBJECT_H



