

// © 2018 Jonas Bechtel
// Licensed under the Apache License, Version 2.0; see file <prj>/meta/LICENSE



#ifndef APP_NAME
#error "You can't include this from outside!"
#endif


#include "object.h"

#include "app-user.h"



// Every module has to implement start_APP_NAMEapp():

// opaque will be given a pointer which has space for one pointer.
// returns 1 on success and 0 on failure
int startobj(APP_NAME, OBJ_NAME) (struct app_instance*);






#define finaldestroyX(sub, obj) final_destroy_ ## sub ## obj

void finaldestroy(APP_NAME, OBJ_NAME) (struct app_instance* ai);
#ifdef DEFINE_OBJECT
#include <stdlib.h>
void finaldestroy(APP_NAME, OBJ_NAME) (struct app_instance* ai) {
	if (ai)
		free(ai);
}
#endif // ifdef DEFINE_OBJECT


#ifdef newinstanceX
#undef newinstanceX
#endif

#define newinstanceX(sub, obj) new_ ## sub ## obj

struct app_instance* newinstance(APP_NAME, OBJ_NAME) (struct station* st);
#ifdef DEFINE_OBJECT
#define namevarX(sub, obj) name_ ## sub ## obj
#ifdef SKIP_AI
const char* namevar(APP_NAME, OBJ_NAME) = S(APP_NAME) S(OBJ_NAME);
#else
const char* namevar(APP_NAME, OBJ_NAME);
#endif
struct app_instance* newinstance(APP_NAME, OBJ_NAME) (struct station* st) {
#define namevarX(sub, obj) name_ ## sub ## obj
	struct app_instance* ai = malloc(sizeof(struct app_instance));
	
	ai->station = st;
	ai->thename = namevar(APP_NAME, OBJ_NAME);
	
	ai->destroy = finaldestroy(APP_NAME, OBJ_NAME);
	
	return ai;
}
#endif // ifdef DEFINE_OBJECT


#undef finaldestroyX
#undef namevarX


#ifndef STARTAPP
#define STARTAPP

#define new_app_instance newinstance(APP_NAME, OBJ_NAME)
#define start_app_module startobj(APP_NAME, OBJ_NAME)

#endif

//#undef startroute



