

// © 2018 Jonas Bechtel
// Licensed under the Apache License, Version 2.0; see file <prj>/meta/LICENSE



#ifndef SUB_NAME
#error "You can't include this from outside!"
#endif





// Every module has to implement start_SUBobj():

// opaque will be given a pointer which has space for one pointer.
// returns 1 on success and 0 on failure
int startobj(SUB_NAME, OBJ_NAME) (struct obj_instance(OBJ_NAME)*);


#ifdef DEFINE_OBJECT
#include <stdlib.h> // free()
#endif



#define finaldestroyX(sub, obj) final_destroy_ ## sub ## obj

void finaldestroy(SUB_NAME, OBJ_NAME) (struct obj_instance(OBJ_NAME)* oi)
#ifdef DEFINE_OBJECT
{
	if (oi)
		free(oi);
}
#endif // ifdef DEFINE_OBJECT
;


#ifdef newinstanceX
#undef newinstanceX
#endif

#define newinstanceX(sub, obj) new_ ## sub ## obj

struct obj_instance(OBJ_NAME)* newinstance(SUB_NAME, OBJ_NAME) (struct station* st);
#ifdef DEFINE_OBJECT

#define namevarX(sub, obj) name_ ## sub ## obj
#ifdef SKIP_INSTANCE
const char* namevar(SUB_NAME, OBJ_NAME) = S(SUB_NAME) S(OBJ_NAME);
#else
const char* namevar(SUB_NAME, OBJ_NAME);
#endif

#ifndef NOCODE
struct obj_instance(OBJ_NAME)* newinstance(SUB_NAME, OBJ_NAME) (
				struct station* st) {
	struct obj_instance(OBJ_NAME)* oi = malloc(
				sizeof(struct obj_instance(OBJ_NAME)));
	
	oi->station = st;
	oi->thename = namevar(SUB_NAME, OBJ_NAME);
	
	oi->destroy = finaldestroy(SUB_NAME, OBJ_NAME);
	
	return oi;
}
#endif // - ifndef NOCODE
#endif // ifdef DEFINE_OBJECT


#undef finaldestroyX
#undef namevarX


#ifndef STARTROUTE
#define STARTROUTE

#define new_route_instance newinstance(ROUTING_ALGO_NAME, OBJ_NAME)
#define start_route_module startobj(ROUTING_ALGO_NAME, OBJ_NAME)

#endif

//#undef startroute



